Bug 951265 - Update package to 2.1.8
Summary: Update package to 2.1.8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: easytag
Version: 19
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 548833 925288 954121
TreeView+ depends on / blocked
 
Reported: 2013-04-11 21:42 UTC by Michael Monreal
Modified: 2014-01-18 04:23 UTC (History)
6 users (show)

Fixed In Version: easytag-2.1.8-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-12 05:02:33 UTC


Attachments (Terms of Use)

Description Michael Monreal 2013-04-11 21:42:46 UTC
The easytag package in Fedora 18/19 is outdated (2.1.7). Upstream has released 2.1.8 [1] in february which has some interesting fixes.

[1] https://mail.gnome.org/archives/easytag-list/2013-February/msg00000.html

Comment 1 David King 2013-04-18 12:24:43 UTC
I am the upstream maintainer of EasyTAG, and I have updated the Fedora packaging to 2.1.8 in a repository on github:

https://github.com/amigadave/easytag-fedora

I made some scratch builds for F18 and F19 in Koji, which I tested successfully:

http://koji.fedoraproject.org/koji/tasks?owner=amigadave&state=all

The spec file and SRPM are on my website:

SPEC: http://amigadave.com/temp/easytag.spec
SRPM: http://amigadave.com/temp/easytag-2.1.8-1.fc19.src.rpm

I am not currently a Fedora packager, but I would like to offer to co-maintain the Fedora EasyTAG package and help to keep it in line with upstream. If Matthias Saou (the current package maintainer) or someone else could sponsor me into the packager group based on my updates, as well as providing review comments, I would love to get 2.1.8 into Fedora (and maybe a GTK+ 3 version for testing).

Comment 2 David King 2013-08-10 22:50:41 UTC
I updated the packaging in place to add a fix for bug 954121. I did a scratch build in Koji with the changes, for F19:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5804616

Comment 3 Dr. Tilmann Bubeck 2014-01-02 13:57:47 UTC
Thanks for taking care of easytag! I use it often to tag my private
flac library...

Here are my review remarks.

1. Wrong URL in SPEC "https://projexts.gnome.org/easytag/" should 
   probably be "https://projects.gnome.org/easytag/".

2. You lost changelog entry for 2.1.7-4. Please rebase.

3. Wrong file extension in comment in line 13. Should probably be
   # tar [..] -cJvf easytag-$VERSION-patched.tar.xz easytag-$VERSION
   instead of
   # tar [..] -cJvf easytag-$VERSION-patched.tar.bz2 easytag-$VERSION

4. Decide on a single notation in the comments from line 10 to 13.
   Use either $VERSION or "%{version}" but don't mix them. I personally
   prefer the $VERSION because I can then copy & paste into a shell to	
   execute.

6. Please follow Packaging Guidelines in 
   https://fedoraproject.org/wiki/Packaging:Guidelines
   especially for:
    * 1.14 BuildRoot tag
    * 1.16 %clean
    * 1.34 Desktop files

7. [optional] Decide where to go with documentation. Your tar includes
   many outdated HTMLs...

8. Ignore the spelling errors reported by rpmlint below...

And now the results of fedora-review:


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in easytag
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- update-desktop-database is invoked in %post and %postun if package contains
  desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in easytag
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2.1 or later)
     (with incorrect FSF address)", "GPL (v2 or later)", "LGPL (v2 or later)
     (with incorrect FSF address)", "Unknown or generated". 7 files have
     unknown license. Detailed output of licensecheck in
     /home/bubeck/951265-easytag/licensecheck.txt
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[ ]: Sources contain only permissible code or content.
[ ]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 143360 bytes in 6 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: Buildroot is not present
     Note: Buildroot: present but not needed
[ ]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[ ]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 2068480 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: easytag-2.1.8-1.fc18.i686.rpm
          easytag-2.1.8-1.fc18.src.rpm
easytag.i686: W: spelling-error Summary(en_US) ogg -> egg, org, Gog
easytag.i686: W: spelling-error Summary(en_US) flac -> flax, lac, flack
easytag.i686: W: invalid-url URL: https://projexts.gnome.org/easytag/ <urlopen error [Errno -2] Name or service not known>
easytag.i686: E: incorrect-fsf-address /usr/share/doc/easytag-2.1.8/COPYING
easytag.src: W: spelling-error Summary(en_US) ogg -> egg, org, Gog
easytag.src: W: spelling-error Summary(en_US) flac -> flax, lac, flack
easytag.src: W: invalid-url URL: https://projexts.gnome.org/easytag/ <urlopen error [Errno -2] Name or service not known>
easytag.src:10: W: macro-in-comment %{version}
easytag.src: W: invalid-url Source0: easytag-2.1.8-patched.tar.xz
2 packages and 0 specfiles checked; 1 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint easytag
easytag.i686: W: spelling-error Summary(en_US) ogg -> egg, org, Gog
easytag.i686: W: spelling-error Summary(en_US) flac -> flax, lac, flack
easytag.i686: W: invalid-url URL: https://projexts.gnome.org/easytag/ <urlopen error [Errno -2] Name or service not known>
easytag.i686: E: incorrect-fsf-address /usr/share/doc/easytag-2.1.8/COPYING
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
easytag (rpmlib, GLIBC filtered):
    libFLAC.so.8
    libatk-1.0.so.0
    libc.so.6
    libcairo.so.2
    libfontconfig.so.1
    libfreetype.so.6
    libgcc_s.so.1
    libgdk-x11-2.0.so.0
    libgdk_pixbuf-2.0.so.0
    libgio-2.0.so.0
    libglib-2.0.so.0
    libgobject-2.0.so.0
    libgtk-x11-2.0.so.0
    libid3-3.8.so.3
    libid3tag.so.0
    libm.so.6
    libogg.so.0
    libpango-1.0.so.0
    libpangocairo-1.0.so.0
    libpangoft2-1.0.so.0
    libspeex.so.1
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libtag.so.1
    libtag_c.so.0
    libvorbis.so.0
    libvorbisfile.so.3
    libwavpack.so.1
    rtld(GNU_HASH)



Provides
--------
easytag:
    easytag
    easytag(x86-32)
    mimehandler(application/ogg)
    mimehandler(audio/mpeg)
    mimehandler(audio/x-ape)
    mimehandler(audio/x-flac)
    mimehandler(audio/x-mp3)
    mimehandler(audio/x-mpeg)
    mimehandler(audio/x-musepack)
    mimehandler(audio/x-vorbis+ogg)
    mimehandler(inode/directory)
    mimehandler(x-directory/normal)



Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 951265
Buildroot used: fedora-18-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Comment 4 David King 2014-01-02 15:51:15 UTC
(In reply to Dr. Tilmann Bubeck from comment #3)
> Thanks for taking care of easytag! I use it often to tag my private
> flac library...

Thanks for doing a review!

> Here are my review remarks.
> 
> 1. Wrong URL in SPEC "https://projexts.gnome.org/easytag/" should 
>    probably be "https://projects.gnome.org/easytag/".
> 
> 2. You lost changelog entry for 2.1.7-4. Please rebase.
> 
> 3. Wrong file extension in comment in line 13. Should probably be
>    # tar [..] -cJvf easytag-$VERSION-patched.tar.xz easytag-$VERSION
>    instead of
>    # tar [..] -cJvf easytag-$VERSION-patched.tar.bz2 easytag-$VERSION

Fixed those.

> 4. Decide on a single notation in the comments from line 10 to 13.
>    Use either $VERSION or "%{version}" but don't mix them. I personally
>    prefer the $VERSION because I can then copy & paste into a shell to	
>    execute.

Good point. I decided on %{version} to match with other uses in the file. The repacking of the tarball to remove the mpg123 files will not be needed any longer as the files was removed upstream.

> 6. Please follow Packaging Guidelines in 
>    https://fedoraproject.org/wiki/Packaging:Guidelines
>    especially for:
>     * 1.14 BuildRoot tag
>     * 1.16 %clean
>     * 1.34 Desktop files

Thanks for the pointers. I used the snippets from http://fedoraproject.org/wiki/Packaging:ScriptletSnippets

> 7. [optional] Decide where to go with documentation. Your tar includes
>    many outdated HTMLs...

I have removed the out-of-date documentation upstream, and replaced it with a shorter Mallard-based user guide.

> 8. Ignore the spelling errors reported by rpmlint below...

OK.

> Issues:
> =======
> - gtk-update-icon-cache is invoked in %postun and %posttrans if package
>   contains icons.
>   Note: icons in easytag
>   See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
> - update-desktop-database is invoked in %post and %postun if package contains
>   desktop file(s) with a MimeType: entry.
>   Note: desktop file(s) with MimeType entry in easytag
>   See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
>   database

Fixed both of those.

> easytag.i686: E: incorrect-fsf-address /usr/share/doc/easytag-2.1.8/COPYING

This has been fixed upstream, so will be in a future 2.1.9 release:

https://git.gnome.org/browse/easytag/commit/?id=26ddaa7c4be188b18bd5ffbdc8b4691f2c204df5

I made a scratch build in Koji with the updated packaging:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6349241

SPEC: http://amigadave.com/temp/easytag.spec
SRPM: http://amigadave.com/temp/easytag-2.1.8-1.fc21.src.rpm

Comment 5 Dr. Tilmann Bubeck 2014-01-03 07:46:48 UTC
Looks very good now. Only 1 MUST item left and 2 SHOULDs.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

[!] Clarify license state of
     + src/dlm.c, src/dlm.h

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2.1 or later)
     (with incorrect FSF address)", "GPL (v2 or later)", "LGPL (v2 or later)
     (with incorrect FSF address)", "Unknown or generated". 7 files have
     unknown license. Detailed output of licensecheck in
     /home/bubeck/951265-easytag/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in easytag
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in easytag
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 143360 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

[!] Please check naming of your patches. They do not always reflect,
    what is in, e.g.
    + easytag-2.1.8-id3lib.patch deals mainly with removing mpg123
      stuff from Makefiles -> easytag-2.1.8-remove-mpg123-build.patch?
    + easytag-2.1.8-defaults-675421.patch deals with setting a new
      default audio player -> easytag-2.1.8-default-audio-file-player.patch
    + others are fine. :-)
[!] src/libapetag seems to be a pre release of something, that got
    never released but everyone (XBMC, Darvin, easytag, ...) seems to
    include the sources. Maybe it would be better to switch to another
    library?

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 2068480 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: easytag-2.1.8-1.fc18.i686.rpm
          easytag-2.1.8-1.fc18.src.rpm
easytag.i686: W: spelling-error Summary(en_US) ogg -> egg, org, Gog
easytag.i686: W: spelling-error Summary(en_US) flac -> flax, lac, flack
easytag.i686: E: incorrect-fsf-address /usr/share/doc/easytag-2.1.8/COPYING
easytag.src: W: spelling-error Summary(en_US) ogg -> egg, org, Gog
easytag.src: W: spelling-error Summary(en_US) flac -> flax, lac, flack
easytag.src:10: W: macro-in-comment %{version}
easytag.src:11: W: macro-in-comment %{version}
easytag.src:12: W: macro-in-comment %{version}
easytag.src:13: W: macro-in-comment %{version}
easytag.src: W: invalid-url Source0: easytag-2.1.8-patched.tar.xz
2 packages and 0 specfiles checked; 1 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint easytag
easytag.i686: W: spelling-error Summary(en_US) ogg -> egg, org, Gog
easytag.i686: W: spelling-error Summary(en_US) flac -> flax, lac, flack
easytag.i686: W: invalid-url URL: https://projexts.gnome.org/easytag/ <urlopen error [Errno -2] Name or service not known>
easytag.i686: E: incorrect-fsf-address /usr/share/doc/easytag-2.1.8/COPYING
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
easytag (rpmlib, GLIBC filtered):
    /bin/sh
    libFLAC.so.8
    libatk-1.0.so.0
    libc.so.6
    libcairo.so.2
    libfontconfig.so.1
    libfreetype.so.6
    libgcc_s.so.1
    libgdk-x11-2.0.so.0
    libgdk_pixbuf-2.0.so.0
    libgio-2.0.so.0
    libglib-2.0.so.0
    libgobject-2.0.so.0
    libgtk-x11-2.0.so.0
    libid3-3.8.so.3
    libid3tag.so.0
    libm.so.6
    libogg.so.0
    libpango-1.0.so.0
    libpangocairo-1.0.so.0
    libpangoft2-1.0.so.0
    libspeex.so.1
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libtag.so.1
    libtag_c.so.0
    libvorbis.so.0
    libvorbisfile.so.3
    libwavpack.so.1
    rtld(GNU_HASH)



Provides
--------
easytag:
    easytag
    easytag(x86-32)
    mimehandler(application/ogg)
    mimehandler(audio/mpeg)
    mimehandler(audio/x-ape)
    mimehandler(audio/x-flac)
    mimehandler(audio/x-mp3)
    mimehandler(audio/x-mpeg)
    mimehandler(audio/x-musepack)
    mimehandler(audio/x-vorbis+ogg)
    mimehandler(inode/directory)
    mimehandler(x-directory/normal)



Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 951265
Buildroot used: fedora-18-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Comment 6 David King 2014-01-03 09:07:03 UTC
Sorry, I forgot to update this bug when I became a member of the packager group. I no longer need a sponsor, but reviews are much appreciated. I will try to fix the remaining problems found in Tilmann Bubeck's review today.

Comment 7 David King 2014-01-03 11:24:29 UTC
(In reply to Dr. Tilmann Bubeck from comment #5)
> Looks very good now. Only 1 MUST item left and 2 SHOULDs.
>
> ===== MUST items =====
> 
> [!] Clarify license state of
>      + src/dlm.c, src/dlm.h

I have filed an upstream bug and requested clarification from the original author of those files:

https://bugzilla.gnome.org/show_bug.cgi?id=721385

Hopefully, there will be clarification soon, or I can prepare a patch to remove the problematic files.

> ===== SHOULD items =====
> 
> [!] Please check naming of your patches. They do not always reflect,
>     what is in, e.g.
>     + easytag-2.1.8-id3lib.patch deals mainly with removing mpg123
>       stuff from Makefiles -> easytag-2.1.8-remove-mpg123-build.patch?
>     + easytag-2.1.8-defaults-675421.patch deals with setting a new
>       default audio player -> easytag-2.1.8-default-audio-file-player.patch
>     + others are fine. :-)

Thanks for the suggestions, I have renamed those files (the first one to easytag-2.1.8-use-id3lib-not-mpg123.patch as it makes it a bit more explicit, I think) and updated the .spec and SRPM in place.

> [!] src/libapetag seems to be a pre release of something, that got
>     never released but everyone (XBMC, Darvin, easytag, ...) seems to
>     include the sources. Maybe it would be better to switch to another
>     library?

Using TagLib would be a possibility, but I do not want to depend more heavily on it if I can avoid it, as I am hoping to drop the dependency for an alternative. I do not know of other APE tag reading libraries, unfortunately. :-(

Comment 8 David King 2014-01-06 15:42:00 UTC
The license for dlm.c and dlm.h has now been clarified by the original author to be the same as the rest of EasyTAG (GPLv2+). I added the upstream patch to the packaging for 2.1.8:

SPEC: http://amigadave.com/temp/easytag.spec
SRPM: http://amigadave.com/temp/easytag-2.1.8-1.fc20.src.rpm

Comment 9 Fedora Update System 2014-01-09 12:38:31 UTC
easytag-2.1.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/easytag-2.1.8-1.fc19

Comment 10 Fedora Update System 2014-01-09 12:49:05 UTC
easytag-2.1.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/easytag-2.1.8-1.fc20

Comment 11 Fedora Update System 2014-01-10 07:43:00 UTC
Package easytag-2.1.8-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing easytag-2.1.8-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0507/easytag-2.1.8-1.fc20
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2014-01-12 05:02:33 UTC
easytag-2.1.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-01-18 04:23:59 UTC
easytag-2.1.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.